com.tibbo.aggregate.common.expression.function.context

## Class SetVariableRecordFunction

- java.lang.Object
- - com.tibbo.aggregate.common.expression.function.AbstractFunction
  - - com.tibbo.aggregate.common.expression.function.context.SetVariableRecordFunction

- All Implemented Interfaces:
    Function
  Direct Known Subclasses:
    SetVariableRecordExFunction

      public class SetVariableRecordFunction
      extends AbstractFunction

- - ### Field Summary

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.Function

      `ABSOLUTE, EXPRESSION_EDITOR_OPTIONS, GROUP_COLOR_PROCESSING, GROUP_CONTEXT_RELATED, GROUP_DATA_BLOCK_PROCESSING, GROUP_DATA_TABLE_PROCESSING, GROUP_DATE_TIME_PROCESSING, GROUP_MATH, GROUP_NUMBER_PROCESSING, GROUP_OTHER, GROUP_STRING_PROCESSING, GROUP_SYSTEM, GROUP_TYPE_CONVERSION, HAS_RESOLVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetVariableRecordFunction()`
    `SetVariableRecordFunction(java.lang.String name, java.lang.String parametersFootprint, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(Evaluator evaluator, EvaluationEnvironment environment, java.lang.Object... parameters)`
    `protected java.util.List<java.lang.Object>` | `getValueList(java.lang.Object[] parameters)`
    `protected Pair<Context,CallerController>` | `resolveContext(java.lang.Object[] parameters, java.lang.String contextPath, Evaluator evaluator)`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.AbstractFunction

      `checkAndGetNumericTypeField, checkNumericTypeField, checkParameters, checkParameterType, executeAttributed, executeTasks, getCategory, getDescription, getName, getParametersFootprint, getReturnValue, resolveContext, resolveContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetVariableRecordFunction

          public SetVariableRecordFunction()

    - #### SetVariableRecordFunction

          public SetVariableRecordFunction(java.lang.String name,
                                           java.lang.String parametersFootprint,
                                           java.lang.String description)

  - ### Method Detail

    - #### execute

          public java.lang.Object execute(Evaluator evaluator,
                                          EvaluationEnvironment environment,
                                          java.lang.Object... parameters)
                                   throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getValueList

          protected java.util.List<java.lang.Object> getValueList(java.lang.Object[] parameters)
                                                           throws EvaluationException

      Throws:
        `EvaluationException`

    - #### resolveContext

          protected Pair<Context,CallerController> resolveContext(java.lang.Object[] parameters,
                                                                  java.lang.String contextPath,
                                                                  Evaluator evaluator)
                                                           throws EvaluationException

      Throws:
        `EvaluationException`